## deepin-deepinid-client 5.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(deepin-deepinid-client)
 
add_subdirectory(src)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD 14)

# http://doc.qt.io/qt-5/cmake-manual.html Find includes in corresponding build
# directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
# Create code from a list of Qt designer ui files
set(CMAKE_AUTOUIC ON)

add_definitions("-DQT_MESSAGELOGCONTEXT")

# Qt Config
find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5WebChannel CONFIG REQUIRED)
find_package(Qt5Widgets CONFIG REQUIRED)
find_package(Qt5LinguistTools REQUIRED)

# QCef config
pkg_search_module(QCef REQUIRED libqcef)
include_directories(${QCef_INCLUDE_DIRS})

# DtkConfig
pkg_search_module(DtkWidget REQUIRED dtkwidget)
include_directories(${DtkWidget_INCLUDE_DIRS})

set(CLIENT_FILES
    main.cpp
    login_window.h
    login_window.cpp
    sync_client.h
    sync_client.cpp
    deepinid_interface.h
    deepinid_interface.cpp
    web_event_delegate.h
    web_event_delegate.cpp)

add_executable(deepin-deepinid-client ${CLIENT_FILES} resource/resource.qrc)

# Executable files Generate .qm files from .ts files.
file(GLOB DMAN_TRANSLATION_TS ${CMAKE_SOURCE_DIR}/translations/*.ts)
set_source_files_properties(${DMAN_TRANSLATION_TS}
                            PROPERTIES
			    OUTPUT_LOCATION
			    ${CMAKE_BINARY_DIR}/translations)
qt5_add_translation(DMAN_TRANSLATION_QM ${DMAN_TRANSLATION_TS})
add_custom_target(update-qm DEPENDS ${DMAN_TRANSLATION_QM})

set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set(CMAKE_INSTALL_RPATH "${QCef_LIBDIR}/qcef")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
set_target_properties(deepin-deepinid-client
                      PROPERTIES INSTALL_RPATH "${QCef_LIBDIR}/qcef")
target_link_libraries(deepin-deepinid-client ${QCef_LIBDIR}/qcef/libcef.so
                      ${LINK_LIBS})

install(TARGETS deepin-deepinid-client DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-deepinid-client
	FILES_MATCHING
	PATTERN "*")

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/com.deepin.deepinid.Client.service
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services/)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/resource/web/com.deepin.deepinid.Client.svg
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resource/privacy
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-deepinid-client
	FILES_MATCHING
	PATTERN "*")

target_link_libraries(deepin-deepinid-client
                      Qt5::Widgets
		      Qt5::WebChannel
		      Qt5::DBus
		      ${QCef_LDFLAGS}
		      ${DtkWidget_LDFLAGS})

add_dependencies(deepin-deepinid-client update-qm)

add_subdirectory(data)

=== debian/changelog ===
deepin-deepinid-client (5.0.0-1) unstable; urgency=low

  * ['Autobuild release-candidate: e287dd84254cadf8a4872d33ee1937588ab7b1c9']

 -- shuttle <shuttle@deepin.com>  Wed, 24 Jul 2019 14:01:30 +0000

## deepin-deepinid-client 7.0.5

=== debian/changelog ===
deepin-deepinid-client (7.0.5) unstable; urgency=medium

  * chore: add application png icon replace of svg
  * release 7.0.5

 -- Zhang kun <zhangkun2@uniontech.com>  Fri, 14 Jun 2024 09:59:51 +0800

deepin-deepinid-client (7.0.4) unstable; urgency=medium

  * fix #8853
  * release 7.0.4

 -- Mike Chen <chenke@deepin.org>  Mon, 03 Jun 2024 13:08:06 +0800

deepin-deepinid-client (7.0.3) unstable; urgency=medium

  * chore: bump version

 -- Chang Yang <yangchang@deepin.org>  Fri, 19 Apr 2024 11:39:19 +0800

deepin-deepinid-client (7.0.2) UNRELEASED; urgency=medium

  * fix: dialog name should not be uosid
  * chore: tidyup code

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 16 Nov 2023 17:12:47 +0800

deepin-deepinid-client (7.0.1) UNRELEASED; urgency=medium

  * tidy up cmake, remote deprecate interface and lib
  * fix license to community

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 28 Aug 2023 10:28:17 +0800

deepin-deepinid-client (6.0.1) UNRELEASED; urgency=medium

  * update changelog

 -- duanhongyu <duanhongyu@uniontech.com>  Wed, 19 Oct 2022 10:19:17 +0800

deepin-deepinid-client (6.0.0.1) UNRELEASED; urgency=medium

  * update changelog

 -- duanhongyu <duanhongyu@uniontech.com>  Thu, 23 Jun 2022 9:17:17 +0800

deepin-deepinid-client (1.0.0-1) unstable; urgency=medium

  * Initial release

 -- Iceyer <me@iceyer.net>  Tue, 30 Oct 2018 09:55:49 +0800

=== debian/control ===
Source: deepin-deepinid-client
Section: net
Priority: optional
Maintainer: Iceyer <me@iceyer.net>
Build-Depends: debhelper (>= 10),
 cmake,
 libdtk6widget-dev,
 libdtk6gui-dev,
 libqt6webchannel6-dev,
 qt6-webengine-dev,
 pkg-config,
 qt6-tools-dev-tools,
 qt6-tools-dev,
 qt6-5compat-dev,
 libdtkcommon-dev,
 libdframeworkdbus-dev,
Standards-Version: 4.1.2
Homepage: https://www.deepin.org
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/deepin-sync-client.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deepin-sync-client.git

Package: deepin-deepinid-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdframeworkdbus2, dcc-deepinid-plugin
Description: client to login deepin sync account
 Deepin user can login with DeepinID oauth

## deepin-deepinid-client 7.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(deepin-deepinid-client
  VERSION "7.0.3"
  DESCRIPTION "deepin-deepinid-client"
  HOMEPAGE_URL "https://github.com/linuxdeepin/deepin-deepinid-client"
  LANGUAGES CXX C
)
 
option(ENABLE_QT6 "Build Qt6 statically or dynamically" OFF)
set(ENABLE_QT6 OFF CACHE BOOL "enable Qt6 option")
if (ENABLE_QT6)
    set(QT_VERSION_MAJOR "6")
    set(DTK_VERSION_MAJOR "6")
else()
    set(QT_VERSION_MAJOR "5")
endif()
message("Qt Version:" ${QT_VERSION_MAJOR})
add_subdirectory(src)

add_subdirectory(examples/unionid-app)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD 14)

# http://doc.qt.io/qt-5/cmake-manual.html Find includes in corresponding build
# directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
# Create code from a list of Qt designer ui files
set(CMAKE_AUTOUIC ON)

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(GNUInstallDirs)

add_definitions("-DQT_MESSAGELOGCONTEXT")
add_compile_definitions(CVERSION="${CVERSION}")

# Qt Config
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus Gui WebChannel WebEngineCore WebEngineWidgets Widgets LinguistTools)
if (${ENABLE_QT6})
  find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core5Compat)
endif()
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget)
# DtkConfig
# dbus_Frame

set(CLIENT_FILES
        ui/login_window.h
        ui/login_window.cpp
        ui/sync_client.h
        ui/sync_client.cpp
        ui/login_page.h
        ui/login_page.cpp
        ui/login_view.h
        ui/login_view.cpp
        utils/utils.cpp
        utils/utils.h
        utils/hardwareinfo.h
        utils/hardwareinfo.cpp
        ipc/const.h
        ipc/deepinid_interface.h
        ipc/deepinid_interface.cpp
        ipc/dbuslogin1manager.h
        ipc/dbuslogin1manager.cpp
        ipc/dbusvariant.h
        ipc/dbusvariant.cpp
        service/session.h
        service/session.cpp
        service/authentication_manager.cpp
        service/authentication_manager.h
        service/authorize.h
        main.cpp)

add_executable(deepin-deepinid-client ${CLIENT_FILES} resource/resource.qrc)

# Executable files Generate .qm files from .ts files.
file(GLOB DMAN_TRANSLATION_TS ${CMAKE_SOURCE_DIR}/translations/*.ts)
set_source_files_properties(${DMAN_TRANSLATION_TS}
        PROPERTIES
        OUTPUT_LOCATION
        ${CMAKE_BINARY_DIR}/translations)

if (${ENABLE_QT6})  
  qt_add_translation(DMAN_TRANSLATION_QM ${DMAN_TRANSLATION_TS})
else() 
  qt5_add_translation(DMAN_TRANSLATION_QM ${DMAN_TRANSLATION_TS})
endif()

add_custom_target(update-qm DEPENDS ${DMAN_TRANSLATION_QM})


set(UOSID_LOGO ${CMAKE_CURRENT_SOURCE_DIR}/resource/icons/deepin-id.svg)
message(STATUS "install logo path:${UOSID_LOGO}")
# 安装图标文件
# install(FILES ${UOSID_LOGO} DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
install(DIRECTORY ${CMAKE_SOURCE_DIR}/misc/icons DESTINATION ${CMAKE_INSTALL_DATADIR})

install(TARGETS deepin-deepinid-client DESTINATION ${CMAKE_INSTALL_BINDIR})

install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
        DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-deepinid-client
        FILES_MATCHING
        PATTERN "*")

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/com.deepin.deepinid.Client.service
        DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services/)

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resource/privacy
        DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-deepinid-client
        FILES_MATCHING
        PATTERN "*")

set(COMMON_LIBS
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::WebChannel
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::WebEngineWidgets
    ${DtkWidget_LIBRARIES}
)
if (${ENABLE_QT6})
  list(APPEND COMMON_LIBS Qt6::Core5Compat)
endif()
target_link_libraries(deepin-deepinid-client ${COMMON_LIBS})

add_dependencies(deepin-deepinid-client update-qm)

add_subdirectory(data)

=== examples/unionid-app/CMakeLists.txt ===
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus)

add_executable(unionid-app main.cpp app.cpp app.h)
target_link_libraries(unionid-app Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::DBus)

=== debian/changelog ===
deepin-deepinid-client (7.0.9) unstable; urgency=medium

  * add depends libqt6webenginecore6-bin.

 -- lichenggang <lichenggang@deepin.org>  Thu, 21 Nov 2024 20:42:07 +0800

deepin-deepinid-client (7.0.8) unstable; urgency=medium

  * fix: do not pop up the login window when the network fluctuates

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 23 Oct 2024 15:18:37 +0800

deepin-deepinid-client (7.0.7) unstable; urgency=medium

  * fix: modify the title of a static HTML page

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 11 Sep 2024 15:43:57 +0800

deepin-deepinid-client (7.0.6) unstable; urgency=medium

  * fix: blank deepinid login dialog and exit abnormally when offline
    fix: app icon is abscure at dpi 1.5 (#20)

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 04 Sep 2024 16:37:24 +0800

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,6 @@
 
 Package: deepin-deepinid-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdframeworkdbus2, dcc-deepinid-plugin
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdframeworkdbus2, dcc-deepinid-plugin, libqt6webenginecore6-bin
 Description: client to login deepin sync account
  Deepin user can login with DeepinID oauth

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

export QT_SELECT = qt6
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCVERSION=$(DEB_VERSION_UPSTREAM) -DENABLE_QT6=ON
